Subject: Re: mii-tool gigabit support.

From: Michael Tokarev <[email-masked]>
Date: Sun, 01 Oct 2006 18:31:27 +0400

Rick Jones wrote:
> 2) develop some style
>>> of register description definition type of text file, maybe XML, maybe
>>> INI style or something stored in /etc/ethtool as <drivername>.conf or
>>> something like that.  This way, ethtool doesn't have to be
>>> changed/updated/patched/likely-bug-added for every single device known
>>> to man. 
>>> Just a thought.
>>  
>> We could switch to shared libraries like 'tc' uses.
> 
> From a practical standpoint is shipping a new config file or a new
> shared library all that much different from a new ethtool binary?

New config - certainly yes.  After all, it's trivial to change a line
in a config file locally.  But yes, new shared lib is the same as a
new binary.

. o O { /sys/class/net/$iface/config.xml }    ;)

But seriously, I don't think it's that a bad idea.  Maybe not xml,
but a plain list of registers with their names - a static string
known to each driver isn't much a bloat really.  I think anyway.

/mjt